
#include <Stepper.h>

const int stepsPerRevolution = 2048;  // number of steps per revolution
const int rpms = 17;         // Rotate at 17 rpm

const long startRotation = 300000; // start rotation after x milliseconds (here 5 minutes)
const long endRotation = 90000; // end rotation after x milliseconds (here 1.5 minutes)

// initialize the stepper library on pins 8 through 11:
Stepper myStepper(stepsPerRevolution, 8, 10, 9, 11);

void setup() {
  myStepper.setSpeed(rpms);
  // initialize the serial port:
  Serial.begin(9600);
  delay(startRotation); // comment this line during testing

}

void loop() {  
  // waits x milliseconds before the motor starts rotating
  unsigned long currentTime = millis();

  if ((startRotation + endRotation) > currentTime){ // stops rotation after x miliseconds
    myStepper.step(-stepsPerRevolution);
  }  
}
